Bug 231912 - graphics/graphene fails to build with gcc
Summary: graphics/graphene fails to build with gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 14:31 UTC by Justin Hibbits
Modified: 2018-12-07 00:24 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch (1.46 KB, patch)
2018-12-04 11:37 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2018-10-03 14:31:08 UTC
graphics/graphene sets -Werror=shadow, yet uses a variable 'round' in a function, which shadows the function declared in math.h, causing a build failure.
Comment 1 Piotr Kubaj 2018-12-04 11:37:29 UTC
Created attachment 199810 [details]
patch

Patch that works.
Comment 2 commit-hook freebsd_committer 2018-12-07 00:13:28 UTC
A commit references this bug:

Author: linimon
Date: Fri Dec  7 00:12:55 UTC 2018
New revision: 486813
URL: https://svnweb.freebsd.org/changeset/ports/486813

Log:
  This port sets -Werror=shadow, yet uses a variable 'round' in a function,
  which shadows the function declared in math.h, causing a build failure
  on gcc-based architectures..

  PR:		231912
  Submitted by:	jhibbits
  Reviewed by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/graphics/graphene/files/
  head/graphics/graphene/files/patch-src_bench_graphene-bench-utils.c